org.eclipse.rdf4j.sail.shacl

## Class ConnectionsGroup

- java.lang.Object
- - org.eclipse.rdf4j.sail.shacl.ConnectionsGroup

- All Implemented Interfaces:
    Closeable, AutoCloseable

  Deprecated.
  since 3.0. This feature is for internal use only: its existence, signature or behavior may change without warning from one release to the next.

      @Deprecated
       @InternalUseOnly
      public class ConnectionsGroup
      extends Object
      implements Closeable

- - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Deprecated.
    `SailConnection` | `getAddedStatements()` Deprecated.
    `SailConnection` | `getBaseConnection()` Deprecated.
    `org.eclipse.rdf4j.sail.shacl.ast.planNodes.PlanNode` | `getCachedNodeFor(org.eclipse.rdf4j.sail.shacl.ast.planNodes.PlanNode planNode)` Deprecated.
    `SailConnection` | `getPreviousStateConnection()` Deprecated.
    `RdfsSubClassOfReasoner` | `getRdfsSubClassOfReasoner()` Deprecated.
    `SailConnection` | `getRemovedStatements()` Deprecated.
    `Stats` | `getStats()` Deprecated.
    `ShaclSailConnection.Settings` | `getTransactionSettings()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getPreviousStateConnection

          public SailConnection getPreviousStateConnection()

      Deprecated.

    - #### getAddedStatements

          public SailConnection getAddedStatements()

      Deprecated.

    - #### getRemovedStatements

          public SailConnection getRemovedStatements()

      Deprecated.

    - #### close

          public void close()

      Deprecated.
      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`

    - #### getBaseConnection

          public SailConnection getBaseConnection()

      Deprecated.

    - #### getCachedNodeFor

          public org.eclipse.rdf4j.sail.shacl.ast.planNodes.PlanNode getCachedNodeFor(org.eclipse.rdf4j.sail.shacl.ast.planNodes.PlanNode planNode)

      Deprecated.

    - #### getRdfsSubClassOfReasoner

          public RdfsSubClassOfReasoner getRdfsSubClassOfReasoner()

      Deprecated.

    - #### getStats

          public Stats getStats()

      Deprecated.

    - #### getTransactionSettings

          public ShaclSailConnection.Settings getTransactionSettings()

      Deprecated.

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.